import { PrimaryTableCol, TableRowData, TdPrimaryTableProps } from '../type';
export default function useRowSelect(props: TdPrimaryTableProps): {
    selectedRowClassNames: import("@vue/composition-api").Ref<any>;
    formatToRowSelectColumn: (col: PrimaryTableCol) => PrimaryTableCol<TableRowData>;
};
